Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel
Class TemplateResource

`java.lang.Object
oracle.ovs.api.datamodel.TemplateResource`

All Implemented Interfaces:
  java.io.Serializable

Deprecated. replaced by `VirtualMachineTemplate`

      public class TemplateResource

extends java.lang.Object
implements java.io.Serializable

Class description

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `DEFALUT_VM_KEYBOARD_LAYOUTSET` Deprecated.
`protected java.lang.String` | `DEFAULT_DEPLOY_TYPE` Deprecated.
`protected java.lang.String` | `DEFAULT_IMG_TYPE` Deprecated.
`protected java.lang.Long` | `TEMPLATE_PARENTIMGID` Deprecated.

Constructor Summary
`TemplateResource()` Deprecated.
`TemplateResource(oracle.ovs.datamodel.OvsVmImg img)` Deprecated.
`TemplateResource(TemplateResourceConfig trc)` Deprecated.

Method Summary
`java.lang.Long` | `getCreation_time()` Deprecated.
`java.lang.String` | `getDeploy_type()` Deprecated.
`java.lang.Long` | `getGroupID()` Deprecated.
`java.lang.Long` | `getImg_id()` Deprecated.
`java.lang.String` | `getImg_location()` Deprecated.
`java.lang.Long` | `getImg_maxmem()` Deprecated.
`java.lang.Long` | `getImg_memory()` Deprecated.
`java.lang.String` | `getImg_name()` Deprecated.
`java.lang.Double` | `getImg_size()` Deprecated.
`java.lang.String` | `getImg_type()` Deprecated.
`java.lang.Long` | `getImg_vcpus()` Deprecated.
`java.util.List` | `getImg_vdisks()` Deprecated.
`java.util.List` | `getImg_vifs()` Deprecated.
`java.lang.String` | `getImg_vm_type()` Deprecated.
`java.lang.String` | `getOS_Type()` Deprecated.
`java.lang.Long` | `getParentimg_id()` Deprecated.
`java.lang.String` | `getProxyURL()` Deprecated.
`oracle.ovs.datamodel.OvsSite` | `getServer_pool()` Deprecated.
`java.lang.Long` | `getServerPool_ID()` Deprecated.
`java.lang.String` | `getServerPool_Name()` Deprecated.
`java.lang.String` | `getURL()` Deprecated.
`java.lang.Long` | `getUserID()` Deprecated.
`java.lang.String` | `getVm_keyboard_layoutset()` Deprecated.
`java.lang.String` | `getVmDescription()` Deprecated.
`java.lang.String` | `getVmPassword()` Deprecated.
`java.lang.String` | `getVmUsername()` Deprecated.
`java.lang.String` | `getVncPassword()` Deprecated.
`java.lang.Boolean` | `isHA_Enable()` Deprecated.
`java.lang.Boolean` | `isIsProxy()` Deprecated.
`void` | `setCreation_time(java.lang.Long creation_time)` Deprecated.
`void` | `setDeploy_type(java.lang.String deploy_type)` Deprecated.
`void` | `setGroupID(java.lang.Long GroupID)` Deprecated.
`void` | `setHA_Enable(java.lang.Boolean HA_Enable)` Deprecated.
`void` | `setImg_id(java.lang.Long img_id)` Deprecated.
`void` | `setImg_location(java.lang.String img_location)` Deprecated.
`void` | `setImg_maxmem(java.lang.Long img_maxmem)` Deprecated.
`void` | `setImg_memory(java.lang.Long imgMemory)` Deprecated.
`void` | `setImg_name(java.lang.String imgName)` Deprecated.
`void` | `setImg_size(java.lang.Double imgSize)` Deprecated.
`void` | `setImg_type(java.lang.String img_type)` Deprecated.
`void` | `setImg_vcpus(java.lang.Long img_VCPU_Num)` Deprecated.
`void` | `setImg_vdisks(java.util.List img_vdisks_List)` Deprecated.
`void` | `setImg_vifs(java.util.List img_VIF_List)` Deprecated.
`void` | `setImg_vm_type(java.lang.String img_vm_type)` Deprecated.
`void` | `setIsProxy(java.lang.Boolean IsProxy)` Deprecated.
`void` | `setOS_Type(java.lang.String OS_Type)` Deprecated.
`void` | `setParentimg_id(java.lang.Long parentimg_id)` Deprecated.
`void` | `setProxyURL(java.lang.String ProxyURL)` Deprecated.
`void` | `setServer_pool(oracle.ovs.datamodel.OvsSite server_pool)` Deprecated.
`void` | `setServerPool_ID(java.lang.Long serverPool_ID)` Deprecated.
`void` | `setServerPool_Name(java.lang.String serverPool_Name)` Deprecated.
`void` | `setURL(java.lang.String URL)` Deprecated.
`void` | `setUserID(java.lang.Long UserID)` Deprecated.
`void` | `setVmDescription(java.lang.String vmDescription)` Deprecated.
`void` | `setVmPassword(java.lang.String vmPassword)` Deprecated.
`void` | `setVmUsername(java.lang.String vmUsername)` Deprecated.
`void` | `setVncPassword(java.lang.String vncPassword)` Deprecated.
`java.lang.String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFALUT_VM_KEYBOARD_LAYOUTSET

    protected final java.lang.String DEFALUT_VM_KEYBOARD_LAYOUTSET

  Deprecated.
  See Also:
    Constant Field Values

### DEFAULT_DEPLOY_TYPE

    protected final java.lang.String DEFAULT_DEPLOY_TYPE

  Deprecated.
  See Also:
    Constant Field Values

### DEFAULT_IMG_TYPE

    protected final java.lang.String DEFAULT_IMG_TYPE

  Deprecated.
  See Also:
    Constant Field Values

### TEMPLATE_PARENTIMGID

    protected final java.lang.Long TEMPLATE_PARENTIMGID

  Deprecated.

Constructor Detail

### TemplateResource

    public TemplateResource()

  Deprecated.

### TemplateResource

    public TemplateResource(oracle.ovs.datamodel.OvsVmImg img)
                     throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### TemplateResource

    public TemplateResource(TemplateResourceConfig trc)

  Deprecated.
  Parameters:
    `trc` -

Method Detail

### isIsProxy

    public java.lang.Boolean isIsProxy()

  Deprecated.

### setIsProxy

    public void setIsProxy(java.lang.Boolean IsProxy)

  Deprecated.

### getURL

    public java.lang.String getURL()

  Deprecated.

### setURL

    public void setURL(java.lang.String URL)

  Deprecated.

### getProxyURL

    public java.lang.String getProxyURL()

  Deprecated.

### setProxyURL

    public void setProxyURL(java.lang.String ProxyURL)

  Deprecated.

### getUserID

    public java.lang.Long getUserID()

  Deprecated.

### setUserID

    public void setUserID(java.lang.Long UserID)

  Deprecated.

### getImg_name

    public java.lang.String getImg_name()

  Deprecated.

### setImg_name

    public void setImg_name(java.lang.String imgName)

  Deprecated.

### getGroupID

    public java.lang.Long getGroupID()

  Deprecated.

### setGroupID

    public void setGroupID(java.lang.Long GroupID)

  Deprecated.

### getOS_Type

    public java.lang.String getOS_Type()

  Deprecated.

### setOS_Type

    public void setOS_Type(java.lang.String OS_Type)

  Deprecated.

### getServer_pool

    public oracle.ovs.datamodel.OvsSite getServer_pool()

  Deprecated.

### setServer_pool

    public void setServer_pool(oracle.ovs.datamodel.OvsSite server_pool)

  Deprecated.

### getImg_size

    public java.lang.Double getImg_size()

  Deprecated.

### setImg_size

    public void setImg_size(java.lang.Double imgSize)

  Deprecated.

### getImg_memory

    public java.lang.Long getImg_memory()

  Deprecated.

### setImg_memory

    public void setImg_memory(java.lang.Long imgMemory)

  Deprecated.

### getImg_vcpus

    public java.lang.Long getImg_vcpus()

  Deprecated.

### setImg_vcpus

    public void setImg_vcpus(java.lang.Long img_VCPU_Num)

  Deprecated.

### getImg_vm_type

    public java.lang.String getImg_vm_type()

  Deprecated.

### setImg_vm_type

    public void setImg_vm_type(java.lang.String img_vm_type)

  Deprecated.

### getImg_vifs

    public java.util.List getImg_vifs()

  Deprecated.

### setImg_vifs

    public void setImg_vifs(java.util.List img_VIF_List)

  Deprecated.

### getImg_vdisks

    public java.util.List getImg_vdisks()

  Deprecated.

### setImg_vdisks

    public void setImg_vdisks(java.util.List img_vdisks_List)

  Deprecated.

### getVncPassword

    public java.lang.String getVncPassword()

  Deprecated.

### setVncPassword

    public void setVncPassword(java.lang.String vncPassword)

  Deprecated.

### getVmUsername

    public java.lang.String getVmUsername()

  Deprecated.

### setVmUsername

    public void setVmUsername(java.lang.String vmUsername)

  Deprecated.

### getVmPassword

    public java.lang.String getVmPassword()

  Deprecated.

### setVmPassword

    public void setVmPassword(java.lang.String vmPassword)

  Deprecated.

### getVmDescription

    public java.lang.String getVmDescription()

  Deprecated.

### setVmDescription

    public void setVmDescription(java.lang.String vmDescription)

  Deprecated.

### isHA_Enable

    public java.lang.Boolean isHA_Enable()

  Deprecated.

### setHA_Enable

    public void setHA_Enable(java.lang.Boolean HA_Enable)

  Deprecated.

### getVm_keyboard_layoutset

    public java.lang.String getVm_keyboard_layoutset()

  Deprecated.

### getServerPool_ID

    public java.lang.Long getServerPool_ID()

  Deprecated.

### getServerPool_Name

    public java.lang.String getServerPool_Name()

  Deprecated.

### setServerPool_ID

    public void setServerPool_ID(java.lang.Long serverPool_ID)

  Deprecated.

### setServerPool_Name

    public void setServerPool_Name(java.lang.String serverPool_Name)

  Deprecated.

### getParentimg_id

    public java.lang.Long getParentimg_id()

  Deprecated.

### setParentimg_id

    public void setParentimg_id(java.lang.Long parentimg_id)

  Deprecated.

### getImg_type

    public java.lang.String getImg_type()

  Deprecated.

### setImg_type

    public void setImg_type(java.lang.String img_type)

  Deprecated.

### getDeploy_type

    public java.lang.String getDeploy_type()

  Deprecated.

### setDeploy_type

    public void setDeploy_type(java.lang.String deploy_type)

  Deprecated.

### getCreation_time

    public java.lang.Long getCreation_time()

  Deprecated.

### setCreation_time

    public void setCreation_time(java.lang.Long creation_time)

  Deprecated.

### getImg_location

    public java.lang.String getImg_location()

  Deprecated.

### setImg_location

    public void setImg_location(java.lang.String img_location)

  Deprecated.

### toString

    public java.lang.String toString()

  Deprecated.
  Overrides:
    `toString` in class `java.lang.Object`

### getImg_id

    public java.lang.Long getImg_id()

  Deprecated.

### setImg_id

    public void setImg_id(java.lang.Long img_id)

  Deprecated.

### getImg_maxmem

    public java.lang.Long getImg_maxmem()

  Deprecated.

### setImg_maxmem

    public void setImg_maxmem(java.lang.Long img_maxmem)

  Deprecated.

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.